Subject: Re: bug#19206: 25.0.50; CC Mode tracks wrong source files

From: Stefan Monnier <[email-masked]>
Date: Tue, 02 Dec 2014 09:02:55 -0500

> It is horrifying.  I spent quite some time over the weekend searching for
> a better solution, without success.  The issue is quite simple: when
> loading and compiling are nested in some unknown order, how do you
> determine which of them is the "innermost" activity?

No, that is a side issue.  The real issue is: why on earth do we care
about the file name?

We should start by saying that we should never need to answer this
question.  So we should reject whichever "solution" we chose to some
other problem which ends up requiring such horrors.

        Stefan